%define anolis_release 1

Name:		libgdl
Epoch:		1
Version:	3.40.0
Release: %{anolis_release}%{dist}

Summary:	GNOME docking library

License:	LGPLv2+
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/gdl/3.40/gdl-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk3-devel
BuildRequires:	gtk-doc

BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:  make

%description
GDL adds dockable widgets to GTK+. The user can rearrange those widgets by drag
and drop and layouts can be saved and loaded. Currently it is used by anjuta,
inkscape, gtranslator and others.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n gdl-%{version}

%build
%configure \
  --disable-silent-rules \
  --disable-static \
  --enable-introspection=yes

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%find_lang gdl-3

%ldconfig_scriptlets

%generate_compatibility_deps

%files -f gdl-3.lang
%license COPYING
%dir %{abidir}
%{_libdir}/%{name}-3.so.*
%{abidir}/libgdl-3.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gdl-3.typelib

%files devel
%{_libdir}/%{name}-3.so
%{_libdir}/pkgconfig/gdl-3.0.pc

%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gdl-3.gir

%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/gdl-3.0/

%dir %{_includedir}/%{name}-3.0
%{_includedir}/%{name}-3.0/gdl

%files doc
%doc README AUTHORS MAINTAINERS NEWS

%changelog
* Fri Mar 24 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.40.0-1
- Init package from upstream
